---
title: gattServer
slug: Web/API/BluetoothDevice/gattServer
tags:
  - API
  - BluetoothDevice
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - Web Bluetooth API
  - gattServer
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <strong><code>BluetoothDevice.gattServer</code></strong> read-only property returns a reference to the device's GATT server or null if the device is disconnected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var gattServer = <em>instanceOfBluetoothDevice</em>.gattServer</pre>

<h3 id="Returns">Returns</h3>

<p>A reference to the device's GATT server or null if the device is disconnected.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothDevice.gattServer")}}</p>
</div>
